
--------------------------------------------------------------------------------
-- Spawn 模块
--------------------------------------------------------------------------------

---@class spawn*
---@field _VERSION? string 模块版本
---@type spawn*
local M = {}

--- 启动程序，不等待结束
---@param program string 程序路径或命令名
---@param ... string 参数
---@return integer? pid 进程号
---@return string? errMsg 错误信息
---@return integer? errno 错误码
function M.start(program, ...) end

--- 启动程序并等待结束
---@param program string 程序路径或命令名
---@param ... string 参数
---@return boolean? ok 是否成功退出
---@return string? reason 结束原因或错误信息
---@return integer? status 状态码或 errno
function M.run(program, ...) end

--- 通过 /bin/sh -c 执行命令
---@param command string 命令文本
---@return boolean? ok 是否成功退出
---@return string? reason 结束原因或错误信息
---@return integer? status 状态码或 errno
function M.system(command) end

return M
